%define	fname	tuxmath_w_fonts

Summary:	Math game for kids with Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 2
# http://anonscm.debian.org/cgit/tux4kids/tuxmath.git
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Games/Other
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.gz
# from Debian (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792796)
Source1:	%{name}.6
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792789
Source2:	ru.po
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792795
Patch0:		tuxmath_w_fonts-2.0.3-fix-localedir.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792794
Patch1:		tuxmath-2.0.3-suse-mga-bufferoverflowstrncat.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792792
Patch2:		tuxmath-2.0.3-mga-fix-translations.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792790
Patch3:		tuxmath-2.0.3-mga-fix-potfiles.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=691496
Patch4:		tuxmath-2.0.3-mga-desktop-file.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=691495
Patch5:		tuxmath-2.0.3-boss-players.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712846
Patch6:		tuxmath-2.0.3-multiplayer.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792785
Patch7:		tuxmath-2.0.3-mga-fix-back-button.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(t4k_common)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	imagemagick
Requires:	t4k_common

%description
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems.

%prep
%setup -q -n %{fname}-%{version}
%apply_patches

# update Russian
cp -f %{SOURCE2} po/

# delete POT file for force update translations ( NOTE: please keep for all new versions )
rm -f po/%{name}.pot

%build
autoreconf -vfi
%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--localedir=%{_datadir}/locale
%make

%install
%makeinstall_std

rm -fr %{buildroot}%{_docdir}/%{name}

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792797
install -d %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man6


install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxMath
Comment=Math game for kids with Tux
Comment[de]=Mathe-Spiel für Kinder mit Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other
EOF



%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS doc/changelog doc/README* doc/TODO*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.*


%changelog
* Mon Mar 25 2019 tex 2.0.3-2pclos2019
- rebuild
